Bug 16046 - Use Font Awesome icons on patron edit pages
Summary: Use Font Awesome icons on patron edit pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16080
  Show dependency treegraph
 
Reported: 2016-03-10 16:42 UTC by Owen Leonard
Modified: 2016-12-05 21:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16046 - Use Font Awesome icons on patron edit pages (5.02 KB, patch)
2016-03-10 16:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16046 - Use Font Awesome icons on patron edit pages (5.27 KB, patch)
2016-03-14 17:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-10 16:42:34 UTC
There are some links in patron entry and batch patron update which are styled with background images. These can be updated to use Font Awesome icons.
Comment 1 Owen Leonard 2016-03-10 16:54:32 UTC Comment hidden (obsolete)
Comment 2 Christian Stelzenmüller 2016-03-11 14:55:20 UTC
tested patch for sandbox, everything ok
Comment 3 Jonathan Druart 2016-03-14 17:43:40 UTC
Created attachment 49132 [details] [review]
Bug 16046 - Use Font Awesome icons on patron edit pages

This patch updates links in the patron edit and batch patron
modification templates to use Font Awesome icons instead of
background-images.

To test you must have ExtendedPatronAttributes enabled and at least one
repeatable attribute defined.

- Apply the patch and edit any patron record.
- In the section for editing attributes and identifiers, check the
  styling and behavior of the "Clear" and "New" links.
- In Tools -> Batch patron modification, load a batch of patron records.
- In the "Edit" form, check the style and behavior of the "Clear" link
  for date inputs.
- Test the "New" and "Delete" links for patron attributes.

Signed-off-by: Christian Stelzenmüller <christian.stelzenmueller@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-23 20:55:30 UTC
Pushed to Master - should be in the May 2016 release.  Thanks!